Skocz do zawartości

Witamy w Nieoficjalnym polskim support'cie AMX Mod X

Witamy w Nieoficjalnym polskim support'cie AMX Mod X, jak w większości społeczności internetowych musisz się zarejestrować aby móc odpowiadać lub zakładać nowe tematy, ale nie bój się to jest prosty proces w którym wymagamy minimalnych informacji.
  • Rozpoczynaj nowe tematy i odpowiedaj na inne
  • Zapisz się do tematów i for, aby otrzymywać automatyczne uaktualnienia
  • Dodawaj wydarzenia do kalendarza społecznościowego
  • Stwórz swój własny profil i zdobywaj nowych znajomych
  • Zdobywaj nowe doświadczenia

Dołączona grafika Dołączona grafika

Guest Message by DevFuse
 

Zdjęcie
Zombie Plague 5.0

Problem z granatem FB

zombie plague 5.0

Najlepsza odpowiedź csMaster, 22.07.2019 21:37

Już rozwiązałem problem. Powodował go plugin 'Weapon Shot Bugfix'

Przejdź do postu


  • Nie możesz napisać tematu
  • Zaloguj się, aby dodać odpowiedź
6 odpowiedzi w tym temacie

#1 csMaster

    Wszechwiedzący

  • Power User

Reputacja: 10
Początkujący

  • Postów:509
  • Lokalizacja:localhost
Offline

Napisano 22.07.2019 16:38

Sam nie wiem jak to opisać. Serwer crashuje się przy próbie rzucenia granata fb, czasem po rzuceniu a czasem już po wybuchu. Nawet samo zmienianie broni na granat fb poprzez ciągłe wciskanie q powoduje crash serwera.

W logach nie ma niczego tylko w konsoli serwera z milion takich wpisów:

SZ_GetSpace: overflow on netchan->message 

Ostatnio edytowałem ZM EXP, ale nie pamiętam żebym zmieniał kod granatów. Tam granat fb jest granatem zamrażającym. Wrzuciłem oryginalny plugin z zm exp na ten granat, ale powyższe akcje dalej crashowały serwer. Później zamieniłem granat zamrażający na oślepiający (zp50_grenades_flashbangs) ale dalej pojawiały się crashe. Później wogóle wyłączyłem te 2 pluginy ale granat fb który powinien już normalnie oślepiać dalej crashował serwer. Normalnie bez jakiegokolwiek używania tego granata nie ma żadnych crashy ani błędów.

Ktoś wie co może być tego przyczyną ? Wpisy w konsoli serwera mogą mówić o obciążeniu serwera ale już granat podpalający który raczej wysyła do gracza więcej informacji nie powoduje żadnego crasha.


  • +
  • -
  • 0

#2 TibacK

    Godlike

  • Support Team

Reputacja: 1 270
Godlike

  • Postów:4 282
Offline

Napisano 22.07.2019 17:06

podaj wersje amxx, serwera, etc etc ktore uzywasz.

Komendy:

version

amxx plugins

amxx modules

meta list

meta version

 


  • +
  • -
  • 0

Na PW pomagam tylko odpłatnie. Przyjmuje zlecenia.

Wypociny: https://github.com/r...98/AMXX_plugins


#3 csMaster

    Wszechwiedzący

  • Autor tematu
  • Power User

Reputacja: 10
Początkujący

  • Postów:509
  • Lokalizacja:localhost
Offline

Napisano 22.07.2019 18:54

Paczkę sprawdzałem na 2 serwerach:

 

Pierwszy

Spoiler

 

Drugi

Spoiler

 

Jeden z serwerów ma silnik hlds, drugi rehlds, w tym jeden znajduje się w sieci więc lista pluginów i modułów może się różnić.


  • +
  • -
  • 1

#4 DarkGL

    Nie oddam ciasteczka !

  • Właściciel

Reputacja: 6 501
Godlike

  • Postów:11 845
  • GG:
  • Steam:steam
  • Imię:Rafał
  • Lokalizacja:Warszawa
Offline

Napisano 22.07.2019 18:54

używasz rehlds ?
  • +
  • -
  • 0

#5 csMaster

    Wszechwiedzący

  • Autor tematu
  • Power User

Reputacja: 10
Początkujący

  • Postów:509
  • Lokalizacja:localhost
Offline

Napisano 22.07.2019 19:02

Napisałem, że jeden serwer działa na rehlds (amxx 1.8.3) i drugi na którym również testowałem paczke hlds (amxx 1.8.2). Paczka Sniper Elite działa na obu serwerach, ale po mojej edycji na obu granat fb wywołuje crashe.


  • +
  • -
  • 0

#6 TibacK

    Godlike

  • Support Team

Reputacja: 1 270
Godlike

  • Postów:4 282
Offline

Napisano 22.07.2019 20:56

Hmm, spróbuj poaktualizować wszystko do najnowszych. Może nawet AMXX 1.9 

https://github.com/TheDoctor0/BasePack

 

 

Przy crashu nie ma więcej info? tylko ten overflow?

nie walisz tam jakiegoś taska/prethinka z messagem jakimś co może zaspamować graczA?


  • +
  • -
  • 0

Na PW pomagam tylko odpłatnie. Przyjmuje zlecenia.

Wypociny: https://github.com/r...98/AMXX_plugins


#7 csMaster

    Wszechwiedzący

  • Autor tematu
  • Power User

Reputacja: 10
Początkujący

  • Postów:509
  • Lokalizacja:localhost
Offline

Napisano 22.07.2019 21:37   Najlepsza odpowiedź

Już rozwiązałem problem. Powodował go plugin 'Weapon Shot Bugfix'


  • +
  • -
  • 0





Również z jednym lub większą ilością słów kluczowych: zombie plague 5.0

Użytkownicy przeglądający ten temat: 0

0 użytkowników, 0 gości, 0 anonimowych


Coinsy CSGOAtse Za SMS, PSC , Przelew - CoinSell.pl